Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Dec 2014, 08:36
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to use HP PSC 1200 All-In-One printer? (Solved)
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
dbd400@gmail.com

Joined: 26 May 2010
Posts: 31
Location: Silver Spring. MD 20901

PostPosted: Thu 28 Mar 2013, 23:13    Post_subject:  How to use HP PSC 1200 All-In-One printer? (Solved)  

I am using Puppy Linux Slacko 5.5. I have read everything I could, and I am still mystified as to what to do. Here is what I've already done:
1. Searched for, but cannot find my printer disk, which somewhere, but where?
2. Read all the CUPS documents I could.
3. Read all the HP documents I could.
4. Determined that at some recent year after I bought my printer (a long time ago), HP has consolidated ALL printer support into a module called "HPLips"
5. Verified that HPLips does support my printer, HP PSC 1210 All-In-One, although it says support is 'partial'. Since the printer is also a copier and a scanner, I am guessing that support for one or both of those functions is missing.
6. Learned how to invoke CUPS.
7. Tried to add a printer.
8. Scrolled through the printers offered by CUPS, but HP PSC 1210 is missing, In fact ALL models of the HP PSC 1200, the ENTIRE family, are missing from the selectable list of printers offered by CUPS.

Now, if I call HP, they have done their job -- 1210 support is in HPLips. But if I consider CUPS, where is it? CUPS says it uses HPLips for HP printers. I have not installed a new CUPS, but used what is there. Would I need to do so? How? I am not sure how to proceed with downloading and installing a new HPLips, but would that do the job? Because of the separation between printing, copying, and scanning, it is quite possible that telling CUPS that I have another HP printer will work, but if so, which one? This forum is full of talk about the HP 1200 family of printers, so apparently many of you are really successful with it.

HELP, Please!

Thanks much for any inkling of how to proceed.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9353
Location: Stratford, Ontario

PostPosted: Fri 29 Mar 2013, 01:41    Post_subject: Re: Installing a printer
Sub_title: Disconnect while installing an HP psc 1200 All-In-One Printer
 

dbd400@gmail.com wrote:
I am using Puppy Linux Slacko 5.5. I have read everything I could

Have you read here yet? It is the source for printer/scanner drivers in Puppy.

Get the hplip_print-3.12.10a.pet and hplip_scan-3.12.10a.pet driver packages at the end of the first post. They support your PSC 1200.

When you run Menu > Setup > CUPS Printer Wizard, you get a pop-up box that asks "Do you need help with adding a printer"? Did you not see it?
Back to top
View user's profile Send_private_message 
dbd400@gmail.com

Joined: 26 May 2010
Posts: 31
Location: Silver Spring. MD 20901

PostPosted: Wed 03 Apr 2013, 04:38    Post_subject: Installing a printer
Sub_title: My very common Printer Model not visible in the dropdown
 

Thanks for the reply.

Well, I have done all that and the printer is not yet working. I had read the cited reference before, arriving at it in a different way (by search). I had also downloaded the referenced pets. Upon receiving the reply I downloaded and installed them again. Attached is an image of the printers I see upon being prompted by CUPS add printer.

When I issue command: 'cups-config --version', the response is: bash: command not found. PPM says the installed version is cups-1.4.8-w5c, but to not install the later version, cups-1.5.4.

Another post says hpijs works perfectly with the printer, but there is no .pet for it. I haven't even found where to download a version not intended for a mac.

Is there any way to clean out and remove all printer drivers and start over? (Without reverting all the way back to the .iso?) My new theory is that whatever is installed is blocking things so that any driver which I install is not seen.
cups-ptinter-dropdown.jpg
 Description   Showing printers available for selection after installing the cited packages. Note that HP psc 1210 (and all the 1200 family) is missing.
 Filesize   62.39 KB
 Viewed   573 Time(s)

cups-ptinter-dropdown.jpg

Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9353
Location: Stratford, Ontario

PostPosted: Wed 03 Apr 2013, 05:22    Post_subject:  

In some recent Puppies, the command "cups-config --version" does not work.

Run the Puppy Package Manager and confirm that you have actually installed the hplip_print-3.12.10a.pet. Look under "Uninstall".

Try a temporary clean install. Boot off your Live CD. At the initial 5-second pause, type "puppy pfix=ram".

Download and install the driver PET.

Run CUPS.
Back to top
View user's profile Send_private_message 
dbd400@gmail.com

Joined: 26 May 2010
Posts: 31
Location: Silver Spring. MD 20901

PostPosted: Wed 03 Apr 2013, 13:35    Post_subject: Thank You  

Understanding that the 'uninstall' also presented a list of installed packages was the key. Using it, I discovered that I had installed the patch by mistake. I uninstalled the patch, and installed the pet, added the printer (it was there on the list), and printed a sample document.

Many, many thanks!

Now, towards getting the scanner working: the list showed also that I had installed the matching scan pet towards enabling the scanner function of the printer. PPM shows that hplip_scan-3.12.10a is installed. I installed PeasyScan, and tried scanning something. Upon hitting 'Save' after an appropriate interval, I get the message: "Nothing was scanned." and in another window:

"Failed to open device:'hpaio:/usb/psc_1200_series?
serial=MY37ED71CF5H': Invalid argument"

PPM shows that xsane-0.997-patched-1-w5c is also installed, and that xsane-0.998 exists. I tried xsane from the menu, but after it said "scanning for devices", it gave exactly the same message as above.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9353
Location: Stratford, Ontario

PostPosted: Wed 03 Apr 2013, 14:41    Post_subject:  

You didn't need to install PeasyScan. It's already included in Slacko.

1. Reboot your computer and your printer. Try again.

2. If that doesn't help, try the temporary clean install as described above.
Back to top
View user's profile Send_private_message 
zandarian

Joined: 14 Oct 2009
Posts: 117

PostPosted: Tue 12 Aug 2014, 16:57    Post_subject:  

Thanks. With Slacko Puppy version 5.7. and HP PSC 1310 series multifunctional the installation seemed to be OK but when trying to print I got the message "usr/lib/cups/filter/foomatic-rip-hplip failed". I solved it deleting the printer from CUPS (http://localhost:631/), uninstalling then the hplip-3.12.9 pet package of the PPM, installing hplip_print-3.14.4.pet after downloading it from http://www.datafilehost.com/d/753b200c (as stated in http://www.murga-linux.com/puppy/viewtopic.php?t=59015), turning off the printer, turning it on again and installing it from CUPS. Then I could print.
Back to top
View user's profile Send_private_message 
zandarian

Joined: 14 Oct 2009
Posts: 117

PostPosted: Tue 12 Aug 2014, 19:39    Post_subject:  

N.B. Installing the printer without hplip-3.12.9.pet and without hplip_print-3.14.4.pet http://localhost:631/jobs?which_jobs=all shows "completed at ...", but without having printed really.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0725s ][ Queries: 13 (0.0073s) ][ GZIP on ]